Subject: Re: ospfv3 - Route Entry

From: Vivek Dubey <[email-masked]>
Date: Mon, 27 Jun 2005 07:06:17 -0000

Hi Acee,
>Other implementations are possible. As you know, the OSPFv3 intra->area SPF calculation is done in 2 phases. First a Shortest Path Tree 
>(SPT) is built from the router and network LSAs. In the second phase, >the intra-area-prefix-LSAs are examined and routes are added to the >routing table for reachable prefixes based on whether the reference >LSA is reachable (among other checks). So, one either needs to lookup >the route to the corresponding node in the SPT or the reference LSA. >RFC 2740 chose the former and I think it is more straight forward.

Following from above:

draft-ietf-ospf-ospfv3-update-04
3.5.3  Installing LSAs in the database
----------------------------------------
Router-LSAs, Network-LSAs, Intra-Area-Prefix-LSAs, and Link-LSAs
      The entire routing table is recalculated, starting with the
      shortest path calculation for each area (see Section 3.8)

<vivek> Change in contents of "Intra-Area-Prefix-LSAs" does not require "entire routing table recalculation". Route entry for referenced router/transit link should be checked and best route to prefixes described in "Intra-Area-Prefix-LSAs" should be calculated

Thanks
Vivek

On Fri, 24 Jun 2005 Acee Lindem wrote :
>Vivek Dubey wrote:
>
>>Hi,
>>  
>Hi Vivek,
>
>>RFC 2328: Section 11
>>--------------------
>>Destination Type: Router entries are kept for area border routers and AS boundary routers
>>
>>draft-ietf-ospf-ospfv3-update-04
>>--------------------------------
>>Section 3.3  The Routing table Structure:
>>An entry for each router in the area is kept
>>
>><vivek> Calculation of reachability to stub networks and prefixes described in intra-area-prefix LSA is I guess similar. What's the need to maintain an entry for each router in the area ?
>>  
>Other implementations are possible. As you know, the OSPFv3 intra-area SPF
>calculation is done in 2 phases. First a Shortest Path Tree (SPT) is built from the
>router and network LSAs. In the second phase, the intra-area-prefix-LSAs are
>examined and routes are added to the routing table for reachable prefixes based
>on whether the reference LSA is reachable (among other checks). So, one either
>needs to lookup the route to the corresponding node in the SPT or the reference
>LSA. RFC 2740 chose the former and I think it is more straight forward.
>
>Thanks,
>Acee
>
>>Thanks
>>Vivek
>>
>>
>>
>>

---

From: Acee Lindem <[email-masked]>
Date: Mon, 27 Jun 2005 17:53:43 -0400

>3.5.3  Installing LSAs in the database
Hi Vivek,
As specified in section 16.1 of RFC 2328, optimizations are possible as 
long as the
same SPF (Shortest Path Tree) is produced. It would be possible to 
specify an
incremental calculation for intra-area-prefix-LSAs but since it hasn't 
been specified
heretofore and implementations are free to implement one without 
specification, I'm
not going to add it in this RFC 2740 re-spin. Note that there are a 
number of issues
that would need to be covered (alternate routes, forwarding addresses, 
changes in
VL endpoints, etc).

Thanks,
Acee